Kubernetes Service API

Introduction Deploy highly available containerized apps in Kubernetes clusters and use the powerful tools of IBM Cloud Kubernetes Service to automate, isolate, secure, manage, and monitor your workloads across cloud locations. Use the IBM Cloud Kubernetes Service API to manage your Kubernetes cluster infrastructure in IBM Cloud. For example, you can create clusters; add capacity for your workloads by resizing worker pools; manage networking, storage, and logging resources that are attached to your cluster; and enable IBM Cloud add-ons to optimize your cluster management experience. To use the Kubernetes API to manage your application workloads within your cluster, see the product documentationhttps://cloud.ibm.com/docs/containers?topic=containers-csapiinstallkubeapi. Before you begin - Make sure that you have access to a paid IBM Cloud accounthttps://cloud.ibm.com/registration. - Choose a strategyhttps://cloud.ibm.com/docs/containers?topic=containers-strategy for setting up and maintaining a cluster. This process includes choosing worker node flavors, setting up networking, and selecting the highest available configuration as possible. Charges With IBM Cloud Kubernetes Service clusters, you can use IBM Cloud infrastructure compute, networking, and storage resources with platform services such as Watson AI or Compose Database-as-a-Service. Each resource might entail its own charges that can be fixed, metered, tiered, or reserved. For more information, see What am I charged for when I use IBM Cloud Kubernetes Service?https://cloud.ibm.com/docs/containers?topic=containers-faqscharges Authentication The IBM Cloud Kubernetes Service API uses IBM Cloud Identity and Access Management IAM to authenticate requests. Pass a bearer token in an Authorization header or an apikey. Tokens support authenticated requests without embedding service credentials in every call. Authorization To use the IBM Cloud Kubernetes Service API, you must be authorized to work with the service in IBM Cloud Identity and Access Management IAM. The service uses IAM platform and service access roles to determine your permissions and the actions that you can perform. Make sure that you are assigned Permissions to create a clusterhttps://cloud.ibm.com/docs/containers?topic=containers-iam-platform-access-rolescluster-create-permissions. Beginning with version 4.0.0, the Node SDK returns a Promise for all methods when a callback isn't specified. The package location moved to ibm-watson. It's available at watson-developer-cloud but is not updated there. Use ibm-watson to stay up to date. IAM and Activity Tracker actions by API method For a list of the IBM Cloud Identity and Access Management IAM action and Activity Tracker events by API method, see the product documentationhttps://cloud.ibm.com/docs/containers?topic=containers-iam-platform-access-roles. API endpoint Use the following API endpoint for all API requests: sh https://containers.cloud.ibm.com/global Versioning The API is versioned to support the different infrastructure providers that are available for you to create clusters. All /v1 APIs can be used to work only with IBM Cloud classic infrastructure. To work with a cluster that was provisioned on IBM Virtual Private Cloud VPC infrastructure, you must use the /v2 API. For information about the API versions, see About the APIhttps://cloud.ibm.com/docs/containers?topic=containers-csapiinstallapiabout. Error handling This API uses standard HTTP response codes to indicate whether a method completed successfully. A 200 response indicates success. A 400 type response is some sort of failure, and a 500 type response usually indicates an internal system error. | HTTP error code | Description | Recovery | |-----------------|-------------|----------| | 200 | Success | The request was successful. | | 400 | Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Include all required parameters in your request. | | 401 | Unauthorized | You are not authorized to make this request. Log in to IBM Cloud and try again. If this error persists, contact the account owner to check your permissions. | | 403 | Forbidden | The supplied authentication is not authorized to access the cluster or an associated cluster resource. Check that you have the correct access credentials and permissions. | | 404 | Not Found | The requested resource could not be found. | | 408 | Request Timeout | The connection to the server timed out. Wait a few minutes, then try again. | | 409 | Conflict | The cluster or an associated cluster resource with the same name or ID already exists. | | 500 | Internal Server Error | IBM Cloud Kubernetes Service is currently unavailable. Your request could not be processed. Wait a few minutes and try again. If you still encounter this problem, note the incident ID and contact IBM Cloud support. |

MethodPathSummary
GET/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleGet the autoscaling configuration for an ALB
PUT/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleSet the autoscaling configuration for an ALB
DELETE/ingress/v2/clusters/{id_or_name}/albs/{alb_id}/autoscaleDelete the autoscaling configuration for an ALB
POST/ingress/v2/dns/createDomainCreate an Ingress domain for a cluster
POST/ingress/v2/dns/deleteCredentialDeprecated: Delete external domain provider credential
POST/ingress/v2/dns/deleteDomainDelete a non-default Ingress domain for a cluster
GET/ingress/v2/dns/getCredentialDeprecated: Get external domain provider credential metadata
POST/ingress/v2/dns/replaceDefaultSubdomainReplace the existing default Ingress domain for a cluster
POST/ingress/v2/dns/setCredentialDeprecated: Set external domain provider credential
POST/ingress/v2/dns/updateDomainUpdate an Ingress domain for a cluster
GET/ingress/v2/load-balancer/configurationGet configuration of load balancers for Ingress ALBs
PATCH/ingress/v2/load-balancer/configurationUpdate the configuration of load balancers for Ingress ALBs
POST/ingress/v2/secret/addFieldAdd fields to an Ingress secret with a secret stored in IBM Cloud Secrets Man
POST/ingress/v2/secret/createSecretCreate an Ingress secret with a secret stored in IBM Cloud Secrets Manager
POST/ingress/v2/secret/deleteSecretDelete an Ingress secret from the cluster
GET/ingress/v2/secret/getSecretView Ingress secret details
GET/ingress/v2/secret/getSecretsView Ingress secrets for a cluster
POST/ingress/v2/secret/removeFieldRemove fields from an Ingress secret with a secret stored in IBM Cloud Secret
POST/ingress/v2/secret/updateSecretUpdate an Ingress secret with a secret stored in IBM Cloud Secrets Manager
GET/ingress/v2/secret/getInstanceView an IBM Cloud Secrets Manager instance registered to the cluster
GET/ingress/v2/secret/getInstancesView IBM Cloud Secrets Manager instances registered to the cluster
POST/ingress/v2/secret/registerInstanceRegister an IBM Cloud Secrets Manager instance to the cluster
POST/ingress/v2/secret/unregisterInstanceUnregister an IBM Cloud Secrets Manager instance from the cluster
POST/ingress/v2/secret/updateInstanceUpdate an IBM Cloud Secrets Manager instance registration configuration to th
GET/ingress/v2/security/port80Get the configuration of a cluster's port 80 security settings
PATCH/ingress/v2/security/port80Enable port 80 on the cluster
GET/network/v2/oauth-access-type/{id_or_name}Get the OAuth access type for a VPC cluster
POST/network/v2/oauth-access-type/{id_or_name}/setSet the OAuth access type for a VPC cluster
POST/network/v2/outbound-traffic-protectionModify the outbound traffic protection policy for a VPC cluster using Secure
GET/network/v2/satellite-acl/{id_or_name}Get a Satellite cluster's service endpoint allowlist
DELETE/network/v2/satellite-acl/{id_or_name}Disable the subnet allowlist for a Satellite cluster's service endpoint
PATCH/network/v2/satellite-acl/{id_or_name}/addAdd subnets to a Satellite cluster's service endpoint allowlist
POST/network/v2/satellite-acl/{id_or_name}/enableEnable the subnet allowlist for a Satellite cluster's service endpoint
PATCH/network/v2/satellite-acl/{id_or_name}/rmRemove subnets from a Satellite cluster's service endpoint allowlist
GET/v1/acl/{id_or_name}Deprecated: Private service endpoint allowlists are no longer supported and c
DELETE/v1/acl/{id_or_name}Deprecated: Private service endpoint allowlists are no longer supported and c
PATCH/v1/acl/{id_or_name}/addDeprecated: Private service endpoint allowlists are no longer supported and c
POST/v1/acl/{id_or_name}/enableDeprecated: Private service endpoint allowlists are no longer supported and c
PATCH/v1/acl/{id_or_name}/rmDeprecated: Private service endpoint allowlists are no longer supported and c
POST/network/v2/secure-by-default/enableEnable VPC Secure by Default Networking on an existing VPC cluster
POST/network/v2/security-groupPerform operations against a VPC Security Group associated with a cluster
GET/network/v2/security-group/getSecurityGroupsList all security groups associated with a cluster
GET/v1/addonsList available add-ons that you can enable in a cluster
GET/v1/configList configuration values for your IBM Cloud account
GET/v1/datacenters/{datacenter}/machine-typesList available machine types for a zone (data center)
GET/v1/kube-versionsDeprecated: List available Kubernetes versions
GET/v1/locationsList available locations
GET/v1/messagesView the current messages
GET/v1/prodconfigList product-specific values to substitute for variables in other files
GET/v1/regionsDeprecated: List available Kubernetes Service regions
GET/v1/versionsList available IBM Cloud Kubernetes Service versions
GET/v1/zonesList available zones (data centers)
GET/v2/getMessagesView the current messages
POST/v1/alb/albsEnable an existing ALB in a cluster
GET/v1/alb/albs/{alb_id}View details of an ALB
DELETE/v1/alb/albs/{alb_id}Disable an ALB in your cluster
GET/v1/alb/clusters/{id_or_name}List all ALBs in a cluster
PUT/v1/alb/clusters/{id_or_name}/updateForce a one-time update of all ALB pods to the latest build
GET/v1/alb/clusters/{id_or_name}/updatepolicyCheck if automatic updates for Ingress ALBs are enabled in a cluster
PUT/v1/alb/clusters/{id_or_name}/updatepolicyEnable or disable automatic updates for the Ingress ALBs in a cluster
POST/v1/alb/clusters/{id_or_name}/zone/{zone_id}Create a public or private ALB in a specified zone and VLAN
GET/v1/clustersList the clusters that you have access to
POST/v1/clustersCreate a cluster
GET/v1/clusters/{id_or_name}View details for a cluster
PUT/v1/clusters/{id_or_name}Update the version of the Kubernetes cluster master node
DELETE/v1/clusters/{id_or_name}Delete a cluster
GET/v1/clusters/{id_or_name}/addonsView details of the add-ons that are enabled in a cluster
PATCH/v1/clusters/{id_or_name}/addonsEnable, disable, or update add-ons for a cluster
GET/v1/clusters/{id_or_name}/configGet the cluster-specific configuration and certificates
POST/v1/clusters/{id_or_name}/kmsCreate and enable a key management service (KMS) provider configuration for a
PUT/v1/clusters/{id_or_name}/mastersRefresh the Kubernetes master
GET/v1/clusters/{id_or_name}/servicesList the IBM Cloud services bound to a cluster across all namespaces
POST/v1/clusters/{id_or_name}/servicesBind an IBM Cloud service to a cluster
GET/v1/clusters/{id_or_name}/services/{namespace}List the IBM Cloud services bound to a specific namespace in a cluster
DELETE/v1/clusters/{id_or_name}/services/{namespace}/{service_instance_id}Unbind an IBM Cloud service from a cluster
GET/v1/clusters/{id_or_name}/subnetsList classic subnets that are bound to a cluster
PUT/v1/clusters/{id_or_name}/subnets/{subnet_id}Add an IBM Cloud classic infrastructure subnet to a cluster
PATCH/v1/clusters/{id_or_name}/subnets/{subnet_id}Detach a public or private portable subnet from a cluster
GET/v1/clusters/{id_or_name}/usersubnetsList user-managed subnets that are bound to a cluster
POST/v1/clusters/{id_or_name}/usersubnetsAdd an existing user-managed subnet to a cluster
DELETE/v1/clusters/{id_or_name}/usersubnets/{subnet_id}/vlans/{vlan_id}Remove a user-managed subnet from a cluster
POST/v1/clusters/{id_or_name}/vlans/{vlan_id}Create an IBM Cloud classic infrastructure subnet and add it to an existing c
GET/v1/clusters/{id_or_name}/webhooksList all webhooks for a cluster
POST/v1/clusters/{id_or_name}/webhooksAdd a webhook to a cluster
GET/v1/clusters/{id_or_name}/workerpoolsList the worker pools in a cluster
POST/v1/clusters/{id_or_name}/workerpoolsCreate a worker pool for a cluster
GET/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}View details for a worker pool
DELETE/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}Remove a worker pool from a cluster
PATCH/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}Resize or rebalance a worker pool
POST/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}/zonesAdd a zone to the specified worker pool for a cluster
DELETE/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}/zones/{zoneid}Remove a zone from a worker pool
PATCH/v1/clusters/{id_or_name}/workerpools/{poolid_or_name}/zones/{zoneid}Update the network configuration details, such as VLANs, for a zone in the wo
GET/v1/clusters/{id_or_name}/workersList all worker nodes in a cluster
POST/v1/clusters/{id_or_name}/workersAdd worker nodes to a cluster
GET/v1/clusters/{id_or_name}/workers/{worker_id}View details of a worker node
PUT/v1/clusters/{id_or_name}/workers/{worker_id}Reboot, reload, or update a worker node for a cluster
DELETE/v1/clusters/{id_or_name}/workers/{worker_id}Delete a worker node from a cluster
GET/v1/clusters/{id_or_name}/apiserverconfigs/auditwebhookView details for an audit webhook configuration
PUT/v1/clusters/{id_or_name}/apiserverconfigs/auditwebhookCreate or update an audit webhook configuration for a cluster
DELETE/v1/clusters/{id_or_name}/apiserverconfigs/auditwebhookDelete an audit webhook configuration
GET/v1/credentialsView the IBM Cloud classic infrastructure account credentials that are set fo
POST/v1/credentialsSet IBM Cloud classic infrastructure account credentials for your IBM Cloud K
DELETE/v1/credentialsRemove IBM Cloud classic infrastructure account credentials from your IBM Clo
GET/v1/infra-permissionsGet details on the permissions that the IBM Cloud infrastructure (SoftLayer)
POST/v1/keysReset the IAM API key
GET/v1/subnets/vlan-spanningView the VLAN spanning status
GET/v1/datacenters/{datacenter}/vlansList available VLANs for a zone
GET/v1/subnetsList available IBM Cloud classic infrastructure subnets
GET/v1/logging/{id_or_name}/clusterkeyownerView information about the containers-kubernetes-key API key owner
GET/v1/logging/{id_or_name}/defaultView the default logging endpoint for the target region
GET/v1/logging/{id_or_name}/loggingconfigList all log forwarding configurations in the cluster
DELETE/v1/logging/{id_or_name}/loggingconfigDelete all log forwarding configurations for a cluster
GET/v1/logging/{id_or_name}/loggingconfig/{log_source}List all log forwarding configurations for a log source in the cluster
POST/v1/logging/{id_or_name}/loggingconfig/{log_source}Create a log forwarding configuration
PUT/v1/logging/{id_or_name}/loggingconfig/{log_source}/{id}Update a log forwarding configuration
DELETE/v1/logging/{id_or_name}/loggingconfig/{log_source}/{id}Delete a log forwarding configuration
PUT/v1/logging/{id_or_name}/refreshRefresh the cluster's logging configuration
GET/v1/logging/{id_or_name}/updatepolicyCheck if automatic updates for the Fluentd logging add-on are enabled in the
PUT/v1/logging/{id_or_name}/updatepolicyEnable or diable automatic updates for the Fluentd logging add-on in the clus
GET/v1/logging/{id_or_name}/filterconfigsList all logging filter configurations in the cluster
POST/v1/logging/{id_or_name}/filterconfigsCreate a logging filter configuration
DELETE/v1/logging/{id_or_name}/filterconfigsDeletes all logging filter configurations for the cluster
GET/v1/logging/{id_or_name}/filterconfigs/{id}View a logging filter configuration
PUT/v1/logging/{id_or_name}/filterconfigs/{id}Update a logging filter configuration
DELETE/v1/logging/{id_or_name}/filterconfigs/{id}Delete a logging filter configuration
PUT/v1/nlb-dns/clusters/{id_or_name}/addUpdate a DNS record by adding an NLB IP address
DELETE/v1/nlb-dns/clusters/{id_or_name}/host/{nlb_host}/ip/{nlb_ip}/removeRemove an IP address from an NLB subdomain
GET/v1/nlb-dns/clusters/{id_or_name}/listList registered NLB subdomains and NLB IP addresses
POST/v1/nlb-dns/clusters/{id_or_name}/registerCreate a new NLB subdomain and associate one or more NLB IP addresses with it
PUT/v1/nlb-dns/clusters/{id_or_name}/healthEnable or disable a health check monitor for an NLB subdomain
PATCH/v1/nlb-dns/health/clusters/{id_or_name}/configConfigure a health check monitor for an NLB subdomain
GET/v1/nlb-dns/health/clusters/{id_or_name}/host/{nlb_host}/configView the health check monitor settings for an NLB subdomain
GET/v1/nlb-dns/health/clusters/{id_or_name}/listList the health check monitor settings for all NLB subdomains
GET/v1/nlb-dns/health/clusters/{id_or_name}/statusDeprecated: List the health check status for the IPs behind NLB subdomains in
GET/v1/user-configView a user's ability to create free and standard clusters in a region and re
POST/v2/alb/addIgnoredIngressStatusErrorsIgnore specific ingress status errors in ingress status reporting
GET/v2/alb/getAlbView details of an ALB
GET/v2/alb/getAlbImagesList supported Ingress controller images
GET/v2/alb/getClusterAlbsList all ALBs in a cluster
GET/v2/alb/getIngressClusterHealthcheckGet the status of the in-cluster ALB health checker
GET/v2/alb/getStatusGet the status of the ingress resources in a cluster
GET/v2/alb/listIgnoredIngressStatusErrorsList all ingress status errors that are ignored for the cluster
DELETE/v2/alb/removeIgnoredIngressStatusErrorsUnignore specific ingress status errors in ingress status reporting
POST/v2/alb/setIngressClusterHealthcheckSet the in-cluster ingress health checker
POST/v2/alb/setIngressStatusStateSet the state of the ingress status
POST/v2/alb/updateAlbUpdate ALBs in a cluster
POST/v2/alb/vpc/createAlbCreate a public or private ALB in a specified zone and VPC cluster
POST/v2/alb/vpc/disableAlbDisable an ALB in your VPC cluster
POST/v2/alb/vpc/enableAlbEnable an existing ALB in a VPC cluster
POST/v2/applyRBACStart applying IAM roles corresponding to your access to the cluster
POST/v2/applyRBACAndGetKubeconfigStart applying IAM roles corresponding to your access to the cluster, then re
POST/v2/autoUpdateMasterSet the autoupdate status of the cluster master
GET/v2/classic/getClusterDetailed cluster information
GET/v2/classic/getClustersList the classic clusters that you have access to
GET/v2/classic/getPrivateServiceEnabledGet if VRF and Service Endpoint is enabled for the given account in the selec
GET/v2/classic/getVLANsList available classic infrastructure VLANs for a zone
GET/v2/classic/getWorkerView details of a worker node for classic cluster
GET/v2/classic/getWorkerPoolView details of a worker pool for a classic cluster
GET/v2/classic/getWorkerPoolsView details of a worker pool for a classic cluster
GET/v2/classic/getWorkersView all workers for a classic cluster
POST/v2/createDedicatedHostCreate a dedicated host
POST/v2/createDedicatedHostPoolCreate a dedicated host pool
POST/v2/disableDedicatedHostPlacementDisable dedicated host placement
POST/v2/enableDedicatedHostPlacementEnable dedicated host placement
POST/v2/enableKMSEnables KMS in a cluster
GET/v2/getCACertGet the cluster's CA cert
GET/v2/getCRKsList the root keys for a Key Management Service instance
GET/v2/getClusterView details for a cluster
GET/v2/getClusterAddonsView details of the add-ons that are enabled in a cluster
GET/v2/getDedicatedHostView details of a dedicated host
GET/v2/getDedicatedHostPoolView details of a dedicated host pool
GET/v2/getDedicatedHostPoolsList the dedicated host pools
GET/v2/getDedicatedHostsList the dedicated hosts
GET/v2/getFlavorGet the details for a worker node flavor
GET/v2/getFlavorsList available flavors types for a VPC zone (data center)
GET/v2/getKMSInstancesGets KMS instances tied to an account
GET/v2/getKubeconfigGet the cluster's kubeconfig file
GET/v2/getOperatingSystemsList supported operating systems
GET/v2/getQuotaView the quota for resources per region in the account
GET/v2/getRBACStatusGet the RBACSync status
GET/v2/getWorkerView details of a worker node for cluster
GET/v2/getWorkerPoolView details of a worker pool for a cluster
GET/v2/getWorkerPoolsList the worker pools in a cluster
GET/v2/getWorkersView all workers for cluster
GET/v2/hasValidEntitlementValidates user provided entitlement
POST/v2/rebalanceWorkerPoolRebalance workers in a worker pool
POST/v2/refreshMasterRefresh the Kubernetes master
POST/v2/removeDedicatedHostRemoves a dedicated host
POST/v2/removeDedicatedHostPoolRemoves a dedicated host pool
POST/v2/removeWorkerDelete a worker node from a cluster
POST/v2/removeWorkerPoolRemoves a worker pool
POST/v2/removeWorkerPoolZoneRemove a zone from a worker pool
POST/v2/resizeWorkerPoolResize an existing worker pool
POST/v2/setWorkerPoolLabelsSet custom labels for a worker pool
POST/v2/setWorkerPoolOperatingSystemSet the operating system of a worker pool
POST/v2/setWorkerPoolTaintsSet custom taints for a worker pool
POST/v2/vpc/createClusterCreate a VPC cluster
POST/v2/vpc/createWorkerPoolCreate a worker pool for a VPC cluster
POST/v2/vpc/createWorkerPoolZoneCreate a zone in the specified worker pool for a VPC cluster
GET/v2/vpc/getClusterGet details of a VPC cluster
GET/v2/vpc/getClustersList the VPC clusters that you have access to
GET/v2/vpc/getSubnetsView subnets for a given VPC
GET/v2/vpc/getVPCView details of a VPC
GET/v2/vpc/getVPCsView VPCs for the given provider
GET/v2/vpc/getWorkerView details of a worker node for VPC cluster
GET/v2/vpc/getWorkerPoolView details of a worker pool for a VPC cluster
GET/v2/vpc/getWorkerPoolsList the worker pools in a VPC cluster
GET/v2/vpc/getWorkersView all workers for VPC cluster
GET/v2/vpc/getZonesList available zones in a region
POST/v2/vpc/replaceWorkerReplace a worker node with a new worker node
GET/v2/cluster-health/getIssueGet detailed information for one health issue (regional URL prefix)
GET/v2/cluster-health/getIssuesList aggregated health issues for a cluster (regional URL prefix)
POST/v2/disableImageSecurityV2Disableimagesecurity
POST/v2/enableImageSecurityV2Enableimagesecurity
POST/v2/disablePodSecurityPolicyDeprecated: Disable the Pod Security Policy admission controller
POST/v2/enablePodSecurityPolicyDeprecated: Enable the Pod Security Policy admission controller
GET/v2/getPodSecurityView the Pod Security admission control configuration for a cluster
GET/v2/getPodSecurityPolicyDeprecated: View the Pod Security Policy admission control configuration
POST/v2/removePodSecurityDeprecated: Remove the Pod Security admission controller configuration for Ku
POST/v2/setPodSecuritySet the Pod Security admission controller configuration
POST/v2/disablePrivateServiceEndpointDisables a private service endpoint for a cluster
POST/v2/disablePublicServiceEndpointDisables a public service endpoint for a cluster
POST/v2/enablePrivateServiceEndpointEnables the private service endpoint for a cluster
POST/v2/enablePublicServiceEndpointEnables the public service endpoint for a cluster
POST/v2/enablePullSecretCreate an image pull secret to IBM Cloud Container Registry in the `default`
GET/v2/getVersionsList available cluster versions
POST/v2/replaceWorkerReplace a worker node with a new worker node
POST/v2/updateMasterUpdate the version of the Kubernetes cluster master node
PUT/v2/nlb-dns/configureHealthMonitorUpdate the health monitoring configuration for the specified NLB subdomain in
POST/v2/nlb-dns/deleteSecretRemove a secret from an NLB subdomain
GET/v2/nlb-dns/getHealthMonitorConfigGet the health monitoring configuration for the specified NLB subdomain in a
GET/v2/nlb-dns/getNlbDNSListList registered NLB subdomains in a cluster
GET/v2/nlb-dns/getNlbDetailsGet the details for the specified NLB subdomain in a cluster
GET/v2/nlb-dns/getSatLocationSubdomainGet the details for the specified subdomain in a Satellite location
GET/v2/nlb-dns/getSatLocationSubdomainsList registered NLB subdomains in a Satellite location
POST/v2/nlb-dns/regenerateCertRegenerates cert for secret
POST/v2/nlb-dns/registerMSCDomainsRegisters domains: c001, c002, c003, each tied to a corresponding IP and c000
POST/v2/nlb-dns/vpc/createNlbDNSCreate a new NLB subdomain in a VPC cluster and associate a load balancer hos
POST/v2/nlb-dns/vpc/removeLBHostnameRemove the load balancer hostname from the DNS record for an existing NLB sub
POST/v2/nlb-dns/vpc/replaceLBHostnameUpdate the DNS record for an NLB subdomain by replacing the load balancer hos
GET/v2/rotateClusterCOSKeyDo not use it as this endpoint is not supported in the long term
POST/v2/satellite/createClusterCreate an IBM Cloud Satellite cluster
POST/v2/satellite/createWorkerPoolCreate a worker pool for an IBM Cloud Satellite cluster
POST/v2/satellite/createWorkerPoolZoneCreate a zone in the specified worker pool for an IBM Cloud Satellite cluster
GET/v2/satellite/getClustersList the IBM Cloud Satellite clusters that you have access to
POST/v2/satellite/createClusterRemoteLocationCreate an IBM Cloud Satellite cluster in a location that does not belong to y
GET/v2/satellite/getServiceClustersList the clusters in an IBM Cloud Satellite location that are associated with
POST/v2/satellite/createControllerCreate an IBM Cloud Satellite location
GET/v2/satellite/getControllerGet the details for an IBM Cloud Satellite location
GET/v2/satellite/getControllersList the IBM Cloud Satellite locations that you have access to
POST/v2/satellite/removeControllerRemove an IBM Cloud Satellite Location
POST/v2/satellite/hostqueue/createAssignmentAssign a host to an IBM Cloud Satellite location or cluster
POST/v2/satellite/hostqueue/createRegistrationScriptAttach a host to an IBM Cloud Satellite location
GET/v2/satellite/hostqueue/getHostsList the hosts in your IBM Cloud Satellite location
POST/v2/satellite/hostqueue/removeHostRemove a host from an IBM Cloud Satellite location or cluster
POST/v2/satellite/hostqueue/updateHostUpdate a host in your IBM Cloud Satellite location
POST/v2/storage/createAttachmentCreateattachment
POST/v2/storage/deleteAttachmentDetach volume from given worker
GET/v2/storage/getAttachmentGetattachment
GET/v2/storage/getAttachmentsGetattachments
GET/v2/storage/getVolumeGet the details of a storage volume
GET/v2/storage/getVolumesList storage volumes for a cluster or for the account if no cluster is provided
PATCH/v2/storage/satellite/ackDesiredStorageConfigCapacityAcknowledge the request to expand storage capacity
POST/v2/storage/satellite/createAssignmentCreate an assignment using a Satellite storage configuration for the cluster
POST/v2/storage/satellite/createAssignmentByClusterCreate an assignment using a Satellite storage configuration for a Satellite
POST/v2/storage/satellite/createStorageConfigurationDeprecated. To create a Satellite storage configuration, you can use /v2/stor
POST/v2/storage/satellite/createStorageConfigurationByControllerCreate a Satellite storage configuration
PATCH/v2/storage/satellite/expandDesiredStorageConfigCapacityExpand the capacity of a storage request
GET/v2/storage/satellite/getAssignedStorageConfigsList Satellite storage configurations assigned to a Satellite cluster or serv
GET/v2/storage/satellite/getAssignmentView details of an assignment
GET/v2/storage/satellite/getAssignmentByNameDeprecated. To view details of an assignment, you can use /v2/storage/satelli
GET/v2/storage/satellite/getAssignmentsList storage assignments in the IBM Cloud account
GET/v2/storage/satellite/getAssignmentsByClusterIDList storage assignments created for a Satellite cluster or service cluster
GET/v2/storage/satellite/getAssignmentsByConfigList storage assignments by configuration name or UUID
GET/v2/storage/satellite/getAssignmentsByControllerList storage assignments in a Satellite location
GET/v2/storage/satellite/getAvailableStorageClassesList and filter available storage classes from assigned Satellite storage con
GET/v2/storage/satellite/getDesiredStorageConfigList Storage requests on a cluster
GET/v2/storage/satellite/getStorageConfigurationView details of a Satellite storage configuration
GET/v2/storage/satellite/getStorageConfigurationsList Satellite storage configurations
GET/v2/storage/satellite/getStorageConfigurationsByControllerList Satellite storage configurations in a Satellite location
GET/v2/storage/satellite/getStorageTemplateView the details of a Satellite storage template
GET/v2/storage/satellite/getStorageTemplateChangelogView the change log details of Satellite storage templates
GET/v2/storage/satellite/getStorageTemplatesList Satellite storage templates
DELETE/v2/storage/satellite/removeAssignmentRemove an assignment
DELETE/v2/storage/satellite/removeDesiredStorageConfigDelete a storage request
DELETE/v2/storage/satellite/removeStorageConfigurationRemove a Satellite storage configuration
PATCH/v2/storage/satellite/setAssignmentAutoupgradeEnable or disable automatic upgrades for an existing storage assignment(s)
POST/v2/storage/satellite/setDesiredStorageConfigCreate a storage request on a cluster
PATCH/v2/storage/satellite/updateAssignmentUpdate an assignment
POST/v2/storage/satellite/updateStorageConfigurationDeprecated. To update a Satellite storage configuration, you can use /v2/stor
POST/v2/storage/satellite/updateStorageConfigurationByControllerUpdate a Satellite storage configuration
PATCH/v2/storage/satellite/updateStorageConfigurationRevisionUpdate a Satellite storage configuration to use the latest template revision
PATCH/v2/storage/satellite/ackDesiredStorageConfigCapacityAcknowledge the request to expand storage capacity
POST/v2/storage/satellite/createAssignmentCreate an assignment using a Satellite storage configuration for the cluster
POST/v2/storage/satellite/createAssignmentByClusterCreate an assignment using a Satellite storage configuration for a Satellite
POST/v2/storage/satellite/createStorageConfigurationDeprecated. To create a Satellite storage configuration, you can use /v2/stor
POST/v2/storage/satellite/createStorageConfigurationByControllerCreate a Satellite storage configuration
PATCH/v2/storage/satellite/expandDesiredStorageConfigCapacityExpand the capacity of a storage request
GET/v2/storage/satellite/getAssignedStorageConfigsList Satellite storage configurations assigned to a Satellite cluster or serv
GET/v2/storage/satellite/getAssignmentView details of an assignment
GET/v2/storage/satellite/getAssignmentByNameDeprecated. To view details of an assignment, you can use /v2/storage/satelli
GET/v2/storage/satellite/getAssignmentsList storage assignments in the IBM Cloud account
GET/v2/storage/satellite/getAssignmentsByClusterIDList storage assignments created for a Satellite cluster or service cluster
GET/v2/storage/satellite/getAssignmentsByConfigList storage assignments by configuration name or UUID
GET/v2/storage/satellite/getAssignmentsByControllerList storage assignments in a Satellite location
GET/v2/storage/satellite/getAvailableStorageClassesList and filter available storage classes from assigned Satellite storage con
GET/v2/storage/satellite/getDesiredStorageConfigList Storage requests on a cluster
GET/v2/storage/satellite/getStorageConfigurationView details of a Satellite storage configuration
GET/v2/storage/satellite/getStorageConfigurationsList Satellite storage configurations
GET/v2/storage/satellite/getStorageConfigurationsByControllerList Satellite storage configurations in a Satellite location
GET/v2/storage/satellite/getStorageTemplateView the details of a Satellite storage template
GET/v2/storage/satellite/getStorageTemplateChangelogView the change log details of Satellite storage templates
GET/v2/storage/satellite/getStorageTemplatesList Satellite storage templates
DELETE/v2/storage/satellite/removeAssignmentRemove an assignment
DELETE/v2/storage/satellite/removeDesiredStorageConfigDelete a storage request
DELETE/v2/storage/satellite/removeStorageConfigurationRemove a Satellite storage configuration
PATCH/v2/storage/satellite/setAssignmentAutoupgradeEnable or disable automatic upgrades for an existing storage assignment(s)
POST/v2/storage/satellite/setDesiredStorageConfigCreate a storage request on a cluster
PATCH/v2/storage/satellite/updateAssignmentUpdate an assignment
POST/v2/storage/satellite/updateStorageConfigurationDeprecated. To update a Satellite storage configuration, you can use /v2/stor
POST/v2/storage/satellite/updateStorageConfigurationByControllerUpdate a Satellite storage configuration
PATCH/v2/storage/satellite/updateStorageConfigurationRevisionUpdate a Satellite storage configuration to use the latest template revision